import BN from 'bn.js';
import { NextRequest, NextResponse } from 'next/server';

export async function GET(req: NextRequest) {
  try {
    const amountOfMTM: BN[] = (global as any).quotesService.getMTMAmountsFor1USDC();
    const latestMTMAmount = amountOfMTM[amountOfMTM.length - 1].toString();
    return NextResponse.json({ latestMTMAmount });
  } catch (error) {
    return NextResponse.json({ error: 'Failed to fetch quotes' }, { status: 500 });
  }
}
