import { DataSource } from 'typeorm';
import assert from 'assert';

export async function initializeDataSource() {
  try {
    const DB_PATH = process.env.DB_PATH;
    assert(DB_PATH, 'DB_PATH not set');

    console.log('Initializing Data Source');

    const appDataSource = new DataSource({
      type: 'sqlite',
      database: DB_PATH,
      synchronize: true,
      logging: false,
      entities: [global.entities.Payment, global.entities.Tweet],
      migrations: [],
      subscribers: [],
    });

    await appDataSource.initialize();
    return appDataSource;
  } catch (err) {
    console.error('Error during Data Source initialization:', err);
    throw err;
  }
}
